--DROP TABLE FEDLOGDB.NMCRL_ORG_TEL CASCADE CONSTRAINTS;

CREATE TABLE FEDLOGDB.NMCRL_ORG_TEL
(
  NCAGE  VARCHAR2(5 BYTE)                       NOT NULL,
  TEL    VARCHAR2(50 CHAR)                      NOT NULL
);


CREATE UNIQUE INDEX FEDLOGDB.P_NMCRL_ORG_TEL ON FEDLOGDB.NMCRL_ORG_TEL
(NCAGE, TEL);

ALTER TABLE FEDLOGDB.NMCRL_ORG_TEL ADD (
  CONSTRAINT P_NMCRL_ORG_TEL
  PRIMARY KEY
  (NCAGE, TEL)
  USING INDEX FEDLOGDB.P_NMCRL_ORG_TEL
  ENABLE VALIDATE);


CREATE INDEX FEDLOGDB.I_NMCRL_ORG_TEL_NCAGE ON FEDLOGDB.NMCRL_ORG_TEL
(NCAGE);

ALTER TABLE FEDLOGDB.NMCRL_ORG_TEL ADD (
  CONSTRAINT F_NMCRLORGTEL_NMCRLORG 
  FOREIGN KEY (NCAGE) 
  REFERENCES FEDLOGDB.NMCRL_ORG (NCAGE)
  ENABLE VALIDATE);
